Method: projects.locations.repositories.workspaces.syncWorkspaceRefs

Syncs the refs of a workspace.

HTTP request


POST https://dataform.googleapis.com/v1beta1/{name=projects/*/locations/*/repositories/*/workspaces/*}:syncWorkspaceRefs

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The workspace resource name. Format: projects/{project}/locations/{location}/repositories/{repository}/workspaces/{workspace}

Request body

The request body contains data with the following structure:

JSON representation
{
  "remoteBranchName": string,
  "deepen": integer
}
Fields
remoteBranchName

string

Optional. The name of the branch in the Git remote for which the refs are fetched. If left unset, all remote branches are fetched.

deepen

integer

Optional. Can be used to deepen the commit history of shallow clones. Git documentation: https://git-scm.com/docs/git-fetch#Documentation/git-fetch.txt---deependepth

Response body

If successful, the response body is empty.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/bigquery

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • dataform.workspaces.syncRefs

For more information, see the IAM documentation.